EndpointAsBeanProperty (Jackson JAX-RS 2.3.0 API)
Date: 2013-11-16

com.fasterxml.jackson.jaxrs.util

## Class EndpointAsBeanProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Std
  - - com.fasterxml.jackson.jaxrs.util.EndpointAsBeanProperty

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.BeanProperty, com.fasterxml.jackson.databind.util.Named

      public class EndpointAsBeanProperty
      extends com.fasterxml.jackson.databind.BeanProperty.Std

  `BeanProperty` implementation used for passing annotations from JAX-RS endpoint into Jackson. This tries to imitate behavior one would get if actual resource method was used as POJO property; ideally this would be how implementation works but due JAX-RS API limitations, we are only given annotations associated, and that has to do.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `com.fasterxml.jackson.databind.BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.fasterxml.jackson.databind.introspect.AnnotationMap` | `_annotations`
    `static com.fasterxml.jackson.databind.PropertyName` | `ENDPOINT_NAME`

    - ### Fields inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

      `_contextAnnotations, _member, _metadata, _name, _type, _wrapperName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointAsBeanProperty(com.fasterxml.jackson.databind.JavaType type, Annotation[] annotations)`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

      `depositSchemaProperty, getAnnotation, getContextAnnotation, getFullName, getMember, getMetadata, getName, getType, getWrapperName, isRequired, withType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENDPOINT_NAME

          public static final com.fasterxml.jackson.databind.PropertyName ENDPOINT_NAME

    - #### _annotations

          public final com.fasterxml.jackson.databind.introspect.AnnotationMap _annotations

  - ### Constructor Detail

    - #### EndpointAsBeanProperty

          public EndpointAsBeanProperty(com.fasterxml.jackson.databind.JavaType type,
                                Annotation[] annotations)

Copyright © 2012–2013 FasterXML. All rights reserved.